Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-54051

GitHub-Branch-Source plugin 2.3.5 Security Update causing error in adding GitHub Enterprise Servers

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      Version 2.3.5 of the GitHub-Branch-Source Plugin introduced a bug that is causing an error to be displayed when trying to add GitHub Enterprise Servers within `Manage Jenkins-> Configure System -> GitHub Enterprise Servers` "This URL Requires POST" as the new security patch in 2.3.5 is background checking valid URLs. This error displays whether the `API endpoint` field is blank or has a valid endpoint specified.

      Downgrading to version 2.3.4 of the GitHub-Branch-Source Plugin no longer displays the error.

      Picture is attached showing the error.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              carroll Carroll Chiou
              Reporter:
              towens Trey Owens
              Votes:
              7 Vote for this issue
              Watchers:
              12 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: